> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/files/head.md).

# head

## HTTP Request

```http
HEAD /api/v1/rawFiles/:fileId
```

## Path parameters

| Parameter | Type   | Description                                  |
| --------- | ------ | -------------------------------------------- |
| :fileId   | string | The globally unique identifier for this file |

## Query parameters

None

## Authorization

You must have metadata access to file's associated dataset, and your access token must have the following scope:

* data.metadata

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response headers

In addition to standard response headers, this API provides the additional information associated with the file:

<table><thead><tr><th width="184">Name</th><th>Description</th></tr></thead><tbody><tr><td>Content-Disposition</td><td>HTTP content disposition, including information about the file's name. However, it is recommended to use <code>X-Redivis-Filename</code> as the content-disposition can be hard to parse.</td></tr><tr><td>Content-Length</td><td>The size, in bytes, of the response. Note if using Range Requests, this will be the size of the current response, not the entire file.</td></tr><tr><td>Content-Range</td><td><p>Will only be returned if a <code>Range</code> was set on the request headers. Takes the form </p><pre><code>bytes startByte-endByte/total
</code></pre></td></tr><tr><td>Content-Type</td><td>The file's <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types">MIME type</a>, derived from the file extension. If the MIME type is unknown, will be set to <code>application/octet-stream</code>.</td></tr><tr><td>Digest</td><td>Contains the md5 checksum of the file content, encoded as a base64 string. Takes the form <code>md5=checksum</code></td></tr><tr><td>X-Redivis-Filename</td><td>The URL-encoded representation of the filename.</td></tr></tbody></table>

## Response body

No content is returned in the response body.

## Examples

{% tabs %}
{% tab title="curl" %}

```bash
curl -I -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/rawFiles/93qh-6wdzwrz84.bc574P4o8ypzp8yKCnrgIw"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/rest-api/files/head.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
